#ifndef RundenRundenStatistik_H
#define RundenRundenStatistik_H

#include <Bild.h>
#include <InitDatei.h>
#include "RundenSpielerStatistik.h"
#include "RundenTeamStatistik.h"

using namespace Framework;

class RundenRundenStatistik
{
private:
	int rundenNummer;
	int rundenDauer;
	int siegerTeam;
	int spielFeldNutzung;
	Bild *rundenBild;
	RCArray< RundenSpielerStatistik > *rss;
	RCArray< RundenTeamStatistik > *rts;
	int ref;

public:
	// Konstruktor
	RundenRundenStatistik();
	// Destruktor
	~RundenRundenStatistik();
	// nciht constant
	void addSpielerStatistik( RundenSpielerStatistik *rss );
	void addTeamStatistik( RundenTeamStatistik *rts );
	void setBild( Bild *b );
	void initValues( InitDatei *dat );
	// constant
	InitDatei *getValues() const;
	int getRundenNummer() const;
	Bild *getRundenBild() const;
	Bild *zRundenBild() const;
	int getRundenDauer() const;
	int getSiegerTeam() const;
	int getSpielFeldNutzung() const;
	RundenSpielerStatistik *getSpielerStatistik( int index ) const;
	RundenSpielerStatistik *zSpielerStatistik( int index ) const;
	RundenTeamStatistik *getTeamStatistik( int index ) const;
	RundenTeamStatistik *zTeamStatistik( int index ) const;
	int getSpielerAnzahl() const;
	int getTeamAnzahl() const;
	// Reference Counting
	RundenRundenStatistik *getThis();
	RundenRundenStatistik *release();
};

#endif